import { IUIProviderProps as ICoreUIContextProviderProps } from "@reactionable/core/lib/ui/UI";
import React, { ReactElement } from "react";
import { IUseErrorAlertProps } from "./alert/ErrorAlert";
import { IUseWarningAlertProps } from "./alert/WarningAlert";
import { IUseConfirmationProps } from "./confirmation/Confirmation";
import { IUseLayoutProps } from "./layout/Layout";
import { IUseLoaderProps } from "./loader/Loader";
import { IUseModalProps } from "./modal/Modal";
import { IUseErrorNotificationProps } from "./notification/ErrorNotification";
import { IUseSuccessNotificationProps } from "./notification/SuccessNotification";
export declare type IUIProviderProps = ICoreUIContextProviderProps<IUseLoaderProps, IUseSuccessNotificationProps, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, IUseConfirmationProps, IUseLayoutProps, IUseModalProps>;
export declare function useUIProviderProps(props?: Partial<IUIProviderProps>): IUIProviderProps;
export declare const UIContextProvider: (props?: React.PropsWithChildren<Partial<import("@reactionable/core").IProviderProps<{
    useLoader: <Props extends IUseLoaderProps = IUseLoaderProps>(props: Props) => import("@reactionable/core").IUseLoaderResult;
    useSuccessNotification: <Props_1 extends React.PropsWithChildren<import("@reactionable/core").INotificationProps & {
        Component?: React.ComponentClass<import("@reactionable/core").INotificationProps, any> | React.FunctionComponent<import("@reactionable/core").INotificationProps> | undefined;
    }> = React.PropsWithChildren<import("@reactionable/core").INotificationProps & {
        Component?: React.ComponentClass<import("@reactionable/core").INotificationProps, any> | React.FunctionComponent<import("@reactionable/core").INotificationProps> | undefined;
    }>>(props: Props_1) => import("@reactionable/core").IUseSuccessNotificationResult;
    useErrorNotification: <Props_2 extends IUseErrorNotificationProps = IUseErrorNotificationProps>(props: Props_2) => import("@reactionable/core").IUseErrorNotificationResult;
    useErrorAlert: <Props_3 extends IUseErrorAlertProps = IUseErrorAlertProps>(props?: Props_3 | undefined) => import("@reactionable/core").IUseErrorAlertResult;
    useWarningAlert: <Props_4 extends IUseWarningAlertProps = IUseWarningAlertProps>(props?: Props_4 | undefined) => import("@reactionable/core").IUseWarningAlertResult;
    useConfirmation: <Props_5 extends React.PropsWithChildren<import("@reactionable/core").IConfirmationProps & {
        Component?: React.ComponentClass<import("@reactionable/core").IConfirmationProps, any> | React.FunctionComponent<import("@reactionable/core").IConfirmationProps> | undefined;
    }> = React.PropsWithChildren<import("@reactionable/core").IConfirmationProps & {
        Component?: React.ComponentClass<import("@reactionable/core").IConfirmationProps, any> | React.FunctionComponent<import("@reactionable/core").IConfirmationProps> | undefined;
    }>>(props: Props_5) => import("@reactionable/core").IUseConfirmationResult;
    useLayout: <Props_6 extends React.PropsWithChildren<import("./layout/Layout").ILayoutProps & {
        Component?: React.ComponentClass<import("./layout/Layout").ILayoutProps, any> | React.FunctionComponent<import("./layout/Layout").ILayoutProps> | undefined;
    }> = React.PropsWithChildren<import("./layout/Layout").ILayoutProps & {
        Component?: React.ComponentClass<import("./layout/Layout").ILayoutProps, any> | React.FunctionComponent<import("./layout/Layout").ILayoutProps> | undefined;
    }>>(props: Props_6) => import("@reactionable/core").IUseLayoutResult;
    useForm: <Values extends import("@reactionable/core").IFormValues, Data extends import("@reactionable/core").IFormData, FormButtonProps extends import("@reactionable/core").IFormButtonProps>(props: import("@reactionable/core").IUseFormProps<Values, Data, FormButtonProps>) => import("@reactionable/core").IUseFormResult;
    useModal: <Props_7 extends React.PropsWithChildren<import("@reactionable/core").IModalProps & import("react-bootstrap").ModalProps & {
        body?: React.ReactNode;
        footer?: React.ReactNode;
    } & {
        Component?: React.ComponentClass<import("./modal/Modal").IModalProps, any> | React.FunctionComponent<import("./modal/Modal").IModalProps> | undefined;
    }> = React.PropsWithChildren<import("@reactionable/core").IModalProps & import("react-bootstrap").ModalProps & {
        body?: React.ReactNode;
        footer?: React.ReactNode;
    } & {
        Component?: React.ComponentClass<import("./modal/Modal").IModalProps, any> | React.FunctionComponent<import("./modal/Modal").IModalProps> | undefined;
    }>>(props: Props_7) => import("@reactionable/core").IUseModalResult;
    useModalForm: <Values_1 extends import("@reactionable/core").IFormValues = import("@reactionable/core").IFormValues, Data_1 extends import("@reactionable/core").IFormData = import("@reactionable/core").IFormData, FormButtonProps_1 extends import("@reactionable/core").IFormButtonProps = import("@reactionable/core").IFormButtonProps, ModalProps extends import("@reactionable/core").IModalProps = import("@reactionable/core").IModalProps>(props: import("@reactionable/core").IUseModalFormProps<Values_1, Data_1, FormButtonProps_1, ModalProps>) => import("@reactionable/core").IUseModalResult;
}>>> | undefined) => ReactElement;
export declare function useUIContext(): IUIProviderProps;
