"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUIContext = exports.UIContextProvider = exports.useUIProviderProps = void 0;
const tslib_1 = require("tslib");
const UI_1 = require("@reactionable/core/lib/ui/UI");
const react_1 = tslib_1.__importDefault(require("react"));
const ErrorAlert_1 = require("./alert/ErrorAlert");
const WarningAlert_1 = require("./alert/WarningAlert");
const Confirmation_1 = require("./confirmation/Confirmation");
const useForm_1 = require("./form/useForm");
const Layout_1 = require("./layout/Layout");
const Loader_1 = require("./loader/Loader");
const Modal_1 = require("./modal/Modal");
const useModalForm_1 = require("./modal/useModalForm");
const ErrorNotification_1 = require("./notification/ErrorNotification");
const SuccessNotification_1 = require("./notification/SuccessNotification");
function useUIProviderProps(props) {
    return UI_1.useUIProviderProps(Object.assign({ useLoader: Loader_1.useLoader,
        useSuccessNotification: SuccessNotification_1.useSuccessNotification,
        useErrorNotification: ErrorNotification_1.useErrorNotification,
        useErrorAlert: ErrorAlert_1.useErrorAlert,
        useWarningAlert: WarningAlert_1.useWarningAlert,
        useConfirmation: Confirmation_1.useConfirmation,
        useLayout: Layout_1.useLayout,
        useForm: useForm_1.useForm,
        useModal: Modal_1.useModal,
        useModalForm: useModalForm_1.useModalForm }, props));
}
exports.useUIProviderProps = useUIProviderProps;
const UIContextProvider = (props) => {
    const uiContextProviderProps = Object.assign(Object.assign({}, useUIProviderProps()), props);
    return react_1.default.createElement(UI_1.UIContextProvider, Object.assign({}, uiContextProviderProps));
};
exports.UIContextProvider = UIContextProvider;
function useUIContext() {
    return UI_1.useUIContext();
}
exports.useUIContext = useUIContext;
//# sourceMappingURL=UI.js.map