"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useConfirmation = exports.ConfirmationAction = exports.Confirmation = void 0;
const tslib_1 = require("tslib");
const I18n_1 = require("@reactionable/core/lib/i18n/I18n");
const Confirmation_1 = require("@reactionable/core/lib/ui/confirmation/Confirmation");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
const icon_1 = require("../icon/icon");
const Confirmation = ({ callback, children, title, }) => {
    const { t } = I18n_1.useTranslation();
    const handleCancel = () => callback(false);
    const handleOk = () => callback(true);
    return (react_1.default.createElement(Modal_1.default, { show: true, size: "lg", "aria-labelledby": "contained-modal-title-vcenter", centered: true, onHide: handleCancel },
        react_1.default.createElement(Modal_1.default.Header, { closeButton: true },
            react_1.default.createElement(Modal_1.default.Title, { id: "contained-modal-title-vcenter" }, title || t("Confirm ?"))),
        react_1.default.createElement(Modal_1.default.Body, null, children),
        react_1.default.createElement(Modal_1.default.Footer, null,
            react_1.default.createElement(Button_1.default, { variant: "outline-primary", onClick: handleCancel }, t("Cancel")),
            react_1.default.createElement(Button_1.default, { variant: "primary", onClick: handleOk }, t("OK")))));
};
exports.Confirmation = Confirmation;
function ConfirmationAction(_a) {
    var { label, button, icon, children } = _a, props = tslib_1.__rest(_a, ["label", "button", "icon", "children"]);
    return (react_1.default.createElement(Confirmation_1.ConfirmationAction, Object.assign({}, props),
        children,
        button && (react_1.default.createElement(Button_1.default, Object.assign({ title: props.title || "" }, button),
            icon && react_1.default.createElement(icon_1.Icon, Object.assign({}, icon)),
            label))));
}
exports.ConfirmationAction = ConfirmationAction;
const useConfirmation = (props) => {
    return Confirmation_1.useConfirmation(Object.assign({ Component: exports.Confirmation }, props));
};
exports.useConfirmation = useConfirmation;
//# sourceMappingURL=Confirmation.js.map