"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormField = exports.RenderFormField = void 0;
const tslib_1 = require("tslib");
const FormField_1 = require("@reactionable/core/lib/form/FormField");
const react_1 = tslib_1.__importDefault(require("react"));
const Feedback_1 = tslib_1.__importDefault(require("react-bootstrap/Feedback"));
const FormCheck_1 = tslib_1.__importDefault(require("react-bootstrap/FormCheck"));
const FormControl_1 = tslib_1.__importDefault(require("react-bootstrap/FormControl"));
const FormGroup_1 = tslib_1.__importDefault(require("react-bootstrap/FormGroup"));
const FormLabel_1 = tslib_1.__importDefault(require("react-bootstrap/FormLabel"));
function RenderFormField({ error, isValid, isInvalid, field, }) {
    let fieldContent;
    const fieldProps = Object.assign(Object.assign({}, field), { isValid,
        isInvalid });
    if (field.type === "checkbox") {
        fieldContent = react_1.default.createElement(FormCheck_1.default, Object.assign({}, fieldProps));
    }
    else {
        fieldContent = react_1.default.createElement(FormControl_1.default, Object.assign({}, fieldProps));
        if (field.label) {
            fieldContent = (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(FormLabel_1.default, null, field.label),
                fieldContent));
        }
    }
    if (error) {
        fieldContent = (react_1.default.createElement(react_1.default.Fragment, null,
            fieldContent,
            react_1.default.createElement(Feedback_1.default, { type: "invalid" }, error)));
    }
    if (field.type === "hidden") {
        return fieldContent;
    }
    return react_1.default.createElement(FormGroup_1.default, { controlId: field.name }, fieldContent);
}
exports.RenderFormField = RenderFormField;
function FormField(props) {
    return react_1.default.createElement(FormField_1.FormField, Object.assign({}, props, { render: RenderFormField }));
}
exports.FormField = FormField;
//# sourceMappingURL=FormField.js.map