"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@reactionable/core");
const Link_1 = require("@reactionable/core/lib/router/Link");
const react_1 = tslib_1.__importDefault(require("react"));
const Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
const Navbar_1 = tslib_1.__importDefault(require("react-bootstrap/Navbar"));
const NavItem_1 = require("../../nav/NavItem");
const UserHeaderNav_1 = require("./UserHeaderNav");
const Header = (_a) => {
    var { brand, navItems = [] } = _a, navbarProps = tslib_1.__rest(_a, ["brand", "navItems"]);
    let brandContent = null;
    const { RouterLink } = core_1.useRouterContext();
    if (brand) {
        if (Link_1.isLinkProps(brand)) {
            const { href } = brand, navbarBrandProps = tslib_1.__rest(brand, ["href"]);
            brandContent = (react_1.default.createElement(RouterLink, { href: href },
                react_1.default.createElement(Navbar_1.default.Brand, Object.assign({}, navbarBrandProps))));
        }
        else {
            brandContent = (react_1.default.createElement(RouterLink, { href: "/" },
                react_1.default.createElement(Navbar_1.default.Brand, { href: "/" }, brand)));
        }
    }
    return (react_1.default.createElement(Navbar_1.default, Object.assign({ expand: "lg" }, navbarProps),
        brandContent,
        react_1.default.createElement(Navbar_1.default.Toggle, { "aria-controls": "main-navbar-nav" }),
        react_1.default.createElement(Navbar_1.default.Collapse, { id: "main-navbar-nav" },
            react_1.default.createElement(Nav_1.default, { className: "mr-auto" },
                react_1.default.createElement(NavItem_1.NavItems, { navItems: navItems })),
            react_1.default.createElement(UserHeaderNav_1.UserHeaderNav, null))));
};
exports.Header = Header;
//# sourceMappingURL=Header.js.map