"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserHeaderNav = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@reactionable/core");
const Identity_1 = require("@reactionable/core/lib/identity/Identity");
const react_1 = tslib_1.__importStar(require("react"));
const Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
const NavDropdown_1 = tslib_1.__importDefault(require("react-bootstrap/NavDropdown"));
const Modal_1 = require("../../modal/Modal");
const UserLoggedHeaderNav = () => {
    const { user, logout, displayName } = Identity_1.useIdentityContext();
    const { t } = core_1.useTranslation("identity");
    const { RouterLink } = core_1.useRouterContext();
    if (!user) {
        return null;
    }
    return (react_1.default.createElement(NavDropdown_1.default, { key: "userNav", id: "userNav", title: displayName() },
        react_1.default.createElement(NavDropdown_1.default.Item, { as: RouterLink, href: "/account" }, t("My account")),
        react_1.default.createElement(NavDropdown_1.default.Divider, null),
        react_1.default.createElement(NavDropdown_1.default.Item, { as: RouterLink, href: "#", onClick: logout }, t("Log out"))));
};
const UserUnloggedHeaderNav = () => {
    const { RouterLink } = core_1.useRouterContext();
    const { t } = core_1.useTranslation("identity");
    const { user, auth } = Identity_1.useIdentityContext();
    const { modal, openModal, closeModal } = Modal_1.useModal({
        Component: Modal_1.Modal,
        title: t("Sign In / Sign Up"),
        body: auth,
    });
    react_1.useEffect(() => {
        if (user) {
            closeModal();
        }
    }, [user]);
    if (user) {
        return null;
    }
    const handleOnClick = () => openModal();
    return (react_1.default.createElement(react_1.default.Fragment, null,
        modal,
        react_1.default.createElement(RouterLink, { href: "#" },
            react_1.default.createElement(Nav_1.default.Link, { key: "signup_signin", onClick: handleOnClick }, t("Sign In / Sign Up")))));
};
const UserHeaderNav = () => {
    const { identityProvider } = Identity_1.useIdentityContext();
    if (!identityProvider) {
        return null;
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(UserLoggedHeaderNav, null),
        ",",
        react_1.default.createElement(UserUnloggedHeaderNav, null),
        ","));
};
exports.UserHeaderNav = UserHeaderNav;
//# sourceMappingURL=UserHeaderNav.js.map