"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalForm = void 0;
const tslib_1 = require("tslib");
const FormFields_1 = require("@reactionable/core/lib/form/FormFields");
const I18n_1 = require("@reactionable/core/lib/i18n/I18n");
const ModalForm_1 = require("@reactionable/core/lib/ui/modal/ModalForm");
const react_1 = tslib_1.__importDefault(require("react"));
const Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
const FormButton_1 = require("../form/FormButton");
function ModalFormChildren({ cancelButton, submitButton, children, closeModal, formikProps, }) {
    const { t } = I18n_1.useTranslation();
    const submit = FormButton_1.useSubmitFormButton({
        children: submitButton !== null && submitButton !== void 0 ? submitButton : true,
        disabled: formikProps.isSubmitting,
    });
    const cancel = FormButton_1.useFormButton({
        children: cancelButton || t("Cancel"),
        disabled: formikProps.isSubmitting,
        onClick: closeModal,
        variant: "secondary",
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Modal_1.default.Body, null,
            react_1.default.createElement(FormFields_1.FormFields, { formikProps: formikProps }, children)),
        react_1.default.createElement(Modal_1.default.Footer, null,
            cancel,
            submitButton !== false && submit)));
}
function ModalForm(_a) {
    var { children, submitButton, cancelButton } = _a, props = tslib_1.__rest(_a, ["children", "submitButton", "cancelButton"]);
    const formChildren = (formikProps) => (react_1.default.createElement(ModalFormChildren, { cancelButton: cancelButton, submitButton: submitButton, closeModal: props.closeModal, formikProps: formikProps }, children));
    return (react_1.default.createElement(ModalForm_1.ModalForm, Object.assign({}, props, { submitButton: false }), formChildren));
}
exports.ModalForm = ModalForm;
//# sourceMappingURL=ModalForm.js.map